package io.gitlab.jfronny.muscript.gson.impl.typed;

import io.gitlab.jfronny.gson.TypeAdapter;
import io.gitlab.jfronny.gson.stream.JsonReader;
import io.gitlab.jfronny.gson.stream.JsonWriter;
import io.gitlab.jfronny.muscript.data.dynamic.DCallable;

import java.io.IOException;

public class DCallableSerializer extends TypeAdapter<DCallable> {
    @Override
    public void write(JsonWriter w, DCallable dynamic) throws IOException {
        if (dynamic.getName().equals(DCallable.DEFAULT_NAME)) throw new IllegalArgumentException("Unnamed callables cannot be serialized to json");
        else w.value(dynamic.getName());
    }

    @Override
    public DCallable read(JsonReader r) throws IOException {
        throw new UnsupportedOperationException("DCallables cannot be deserialized from json");
    }
}
