package io.gitlab.jfronny.muscript.gson.impl.typed;

import io.gitlab.jfronny.gson.TypeAdapter;
import io.gitlab.jfronny.gson.stream.JsonReader;
import io.gitlab.jfronny.gson.stream.JsonWriter;
import io.gitlab.jfronny.muscript.data.dynamic.DNull;

import java.io.IOException;

public class DNullSerializer extends TypeAdapter<DNull> {
    @Override
    public void write(JsonWriter w, DNull dynamic) throws IOException {
        w.nullValue();
    }

    @Override
    public DNull read(JsonReader r) throws IOException {
        r.nextNull();
        return new DNull();
    }
}
