package io.gitlab.jfronny.muscript.gson.impl.typed.additional;

import io.gitlab.jfronny.gson.TypeAdapter;
import io.gitlab.jfronny.gson.stream.JsonReader;
import io.gitlab.jfronny.gson.stream.JsonWriter;
import io.gitlab.jfronny.muscript.data.dynamic.additional.DTime;

import java.io.IOException;
import java.time.LocalTime;

public class DTimeSerializer extends TypeAdapter<DTime> {
    @Override
    public void write(JsonWriter w, DTime dynamic) throws IOException {
        w.value(dynamic.toString());
    }

    @Override
    public DTime read(JsonReader r) throws IOException {
        String s = r.nextString();
        return new DTime(() -> LocalTime.parse(s));
    }
}
