package io.gitlab.jfronny.muscript.data.dynamic;

import io.gitlab.jfronny.muscript.ast.NumberExpr;
import io.gitlab.jfronny.muscript.ast.literal.NumberLiteral;
import io.gitlab.jfronny.muscript.compiler.CodeLocation;

public non-sealed interface DNumber extends Dynamic {
    @Override
    default NumberExpr toExpr() {
        return new NumberLiteral(CodeLocation.NONE, getValue());
    }

    @Override
    Double getValue();
}
