package io.gitlab.jfronny.muscript.data.dynamic;

import io.gitlab.jfronny.muscript.ast.StringExpr;
import io.gitlab.jfronny.muscript.ast.literal.StringLiteral;
import io.gitlab.jfronny.muscript.compiler.CodeLocation;

public non-sealed interface DString extends Dynamic {
    @Override
    default StringExpr toExpr() {
        return new StringLiteral(CodeLocation.NONE, getValue());
    }

    @Override
    String getValue();
}
