# JfCommons

Common code for my java projects. Uses my common [build scripts](https://git.frohnmeyer-wds.de/Johannes/Scripts).

## Modules

- commons: Common java code without a major theme or external dependencies
- commons-http-client: A simple http client
- commons-http-server: A simple http server based on JLHTTP
- commons-io: Utility classes for caching, hashing, reading json, opening archives, etc.
- commons-logger: A simple logging framework for System.Logger supporting hot reloading and slightly improved APIs
- commons-manifold: Some common code using the features of manifold-ext. Mainly extension classes.
- commons-serialize: Provides some utility classes for serialization
- commons-serialize-gson: Provides some utility classes around my fork of gson and an implementation of the `Serializer` interface
- commons-serialize-gson-dsl: Provides a Kotlin DSL for json generation
- commons-unsafe: Provides wrappers around sun.misc.Unsafe and the LambdaMetaFactory
- [muscript](https://git.frohnmeyer-wds.de/Johannes/java-commons/src/branch/master/muscript): A simple scripting language
- [muscript-gson](https://git.frohnmeyer-wds.de/Johannes/java-commons/src/branch/master/muscript-gson): Glue code for manipulating gson with muscript
