package io.gitlab.jfronny.muscript.gson.impl.typed;

import io.gitlab.jfronny.gson.TypeAdapter;
import io.gitlab.jfronny.gson.stream.JsonReader;
import io.gitlab.jfronny.gson.stream.JsonWriter;
import io.gitlab.jfronny.muscript.data.dynamic.DynamicBase;

import java.io.IOException;

public class DynamicBaseSerializer extends TypeAdapter<DynamicBase> {
    @Override
    public void write(JsonWriter w, DynamicBase dynamic) throws IOException {
        throw new UnsupportedOperationException("Tried to write unsupported custom dynamic: " + dynamic);
    }

    @Override
    public DynamicBase read(JsonReader r) throws IOException {
        throw new UnsupportedOperationException("Tried to read unsupported custom dynamic");
    }
}
