package io.gitlab.jfronny.muscript.gson.impl.typed.additional;

import io.gitlab.jfronny.gson.TypeAdapter;
import io.gitlab.jfronny.gson.stream.JsonReader;
import io.gitlab.jfronny.gson.stream.JsonWriter;
import io.gitlab.jfronny.muscript.data.dynamic.additional.DDate;

import java.io.IOException;
import java.time.LocalDate;

public class DDateSerializer extends TypeAdapter<DDate> {
    @Override
    public void write(JsonWriter w, DDate dynamic) throws IOException {
        w.value(dynamic.toString());
    }

    @Override
    public DDate read(JsonReader r) throws IOException {
        String s = r.nextString();
        return new DDate(() -> LocalDate.parse(s));
    }
}
