package io.gitlab.jfronny.muscript.data.dynamic;

import io.gitlab.jfronny.muscript.ast.BoolExpr;
import io.gitlab.jfronny.muscript.ast.literal.BoolLiteral;
import io.gitlab.jfronny.muscript.compiler.CodeLocation;

public non-sealed interface DBool extends Dynamic {
    @Override
    default BoolExpr toExpr() {
        return new BoolLiteral(CodeLocation.NONE, getValue());
    }

    @Override
    Boolean getValue();
}
